/*Defines*********************************************************************/
#define VERSION_STR   "0.85 BETA"

/*Change this to make the timer more or less accurate
and to lower cpu usage on slower machines (milliseconds)
(60000 = 1 minute), recommended = 1/2 minute*/
#define TIMER_INTERVAL 30000

/*Constants for alarm type variable*/
#define ALTYPE_TOD        0
#define ALTYPE_COUNTDOWN  1

/*Lazy macros*/
#define STR_EMPTY(x)      (x[0] == 0)


/*Prototypes*****************************************************************/
void check_dirs();
void save_settings();
void load_settings();
void get_desktop_res();
void response_request();
void status_request();
void run_session_file(char *path);
void cleanup();
void terminate();
void play_sound();
void test_sound();
void close_msgbox();
void do_alarm(gchar *override_msg);
gint timer_callback(gpointer data);
void entry_toggle_important(GtkWidget *checkbutton, GtkWidget *entry);
void toggle_command(GtkWidget *checkbutton);
void button_clicked();
void opt_cancel();
void opt_ok();
void sound_selected(GtkWidget *widget, GtkWidget *win);
void browse_files();
void show_options();
int process_exists(int pid);
